class MassiveDspaceSyncWorker

  include Sidekiq::Worker
  include RepositoriesProxy

  def perform(item_ids)

    item_ids.each do |id|
      begin
        dspace_repository.get_item_by_id id["id_dspace"]
      rescue
        broken_item = learning_object_repository.find id["id"]
        learning_object_repository.destroy broken_item
      end
    end

  end

  private

  def dspace_repository
    @dspace_repository ||= Dspace::Client.instance.repository.item_repository
  end

end
